0
In Cart 0,00 
  • Total 0,00 

Passau - Regensburg

This is an German route from Passau to Regensburg, which has a total length of about 120 km.

Version: 1.3

Developer: RSSLO

34,99 inc. VATBuy now

Minimum system requirements:

Game version: Compatible with Train Simulator 2022 and older.
Packs: European Loco & Asset Pack is required
OS: 64-bit Windows Vista / 7 / 8 / 10
Processor: Intel Core i5-4690 @ 3.5 GHz or AMD Ryzen 5 1500X @ 3.7 GHz
Memory: 16 GB RAM
Graphics: NVIDIA GeForce GTX 750 Ti or AMD Radeon R9 270 with 2 GB VRAM or more
DirectX: Version 10
Hard drive space: 5,36 GB
Sound: DirectX Compatible
Other requirements: Broadband Internet connection

DB 147

DB_DABpzb

DB_Bpmz_295

Snps

DB 182 - Ai

Assets needed for scenarios:

– Payware assets:

European Loco & Asset Pack

Scenarios are included in English and German language.

Scenarios:

Adventure in the clouds

 Rating: **

Duration: 35 min

Scenario type: Career scenario

Type of vehicle: DB 147

Driving to the finish line

Rating: ****

Duration: 35 min

Scenario type: Career scenario

Type of vehicle: DB 147

Freight into the night

Rating: ****

Duration: 50 min

Scenario type: Career scenario

Type of vehicle: DB 147

Freight Transport

Rating: *****

Duration: 35 min

Scenario type: Career scenario

Type of vehicle: DB 147

Morning magic

Rating: ***

Duration: 20 min

Scenario type: Career scenario

Type of vehicle: DB 147

Manuals:

English and German PDF manuals are included.

Verison 1.3

  • fixed QD scenario from Regensburg, problem with Ai train.

To update the locomotive to version 1.3, please re-download the installation file from your account or the email with the download link.

Verison 1.2

  • fixed QD scenario from Regensburg

To update the locomotive to version 1.2, please re-download the installation file from your account or the email with the download link.

Verison 1.1

  • Problem with missing track.bin
  • fixed QD scenario from Regensburg
  • Fixed missing picture of DB 147
  • fixed other small problems

To update the locomotive to version 1.1, please re-download the installation file from your account or the email with the download link.